%{!?python_sitelib: %define python_sitelib %(python -c "from distutils.sysconfig import get_python_lib; print get_python_lib()")}

Summary: Package Installation, Removal and Update Tools
Name: pirut
Version: 1.3.28
Release: 13.4%{?dist}
License: GPL
Group: Applications/System
URL: http://fedoraproject.org
Source0: %{name}-%{version}.tar.gz

#asianux
Source100: COPYING

Patch0: desktop-GA.patch
Patch1: utf8-GA.patch
Patch2: rhpl-translate-GA.patch
Patch3: desktop-icons-GA.patch
Patch4: puplet-translate-fix.patch
Patch5: pup-icon.patch

#asianux
Patch101:  pirut-1.2.10.remove_category_window.patch
Patch103:  pirut-1.2.10-desktop-NoDisplay.patch
Patch104:  pirut-1.3.28.remove_show_pixmap_and_do_clear_refresh.patch
Patch105:  pirut-1.3.28-change_shortcut_select.patch
Patch106:  pirut-1.3.28.remove_category.patch 
Patch107:  pirut-1.3.28-fix-dbmail-selectMultiInstall.patch
Patch108:  pirut-1.3.28-fix-customize-unexpect-kernel-PAE-install.patch

BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
Requires: pygtk2 >= 2.9.2
Requires: pygtk2-libglade, comps-extras, rhpl
Requires: yum >= 3.2.5-2
Requires: python-iniparse
Requires: gnome-python2-gconf, notify-python
Requires: usermode
Requires: dbus-python
Obsoletes: system-config-packages, redhat-config-packages, pup
Obsoletes: up2date-gnome, rhn-applet
BuildArch: noarch
BuildRequires: intltool gettext python

%description
pirut (pronounced "pirate") provides a set of graphical tools for managing 
software.

%prep
%setup -q

%patch0 -p1
%patch1 -p1
%patch2 -p1
%patch3 -p1
%patch4 -p1
%patch5 -p1

#asianux
%patch101 -p1
%patch103 -p1
%patch104 -p1
%patch105 -p1
%patch106 -p1
%patch107 -p1
%patch108 -p1

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT
%makeinstall

#asianux
cp -f %{SOURCE100} $RPM_BUILD_ROOT/%{_datadir}/%{name}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%post 

%postun 

%files -f %{name}.lang
%defattr(-,root,root,-)
%doc README NEWS AUTHORS
%dir %{python_sitelib}/pirut
%{python_sitelib}/pirut/*.py
%{python_sitelib}/pirut/*.pyc
%{python_sitelib}/pirut/*.pyo
%{_bindir}/*
%exclude %{_bindir}/pup*
%exclude %{_bindir}/pirut
%exclude %{_bindir}/system-*
%{_sbindir}/*
%exclude %{_sbindir}/pup*
%exclude %{_sbindir}/pirut
%exclude %{_sbindir}/system-*
%config(noreplace) %{_sysconfdir}/pam.d/*
%exclude %{_sysconfdir}/pam.d/pup
%config(noreplace) %{_sysconfdir}/security/console.apps/*
%exclude %{_sysconfdir}/security/console.apps/pup
%config(noreplace) %{_sysconfdir}/xdg/autostart/*
%exclude %{_sysconfdir}/xdg/autostart/puplet.desktop
%{_datadir}/applications/*.desktop
%exclude %{_datadir}/applications/pup.desktop
%dir %{_datadir}/pirut
%dir %{_datadir}/pirut/ui
%{_datadir}/pirut/ui/*.glade
%dir %{_datadir}/pirut/pixmaps
%{_datadir}/pirut/pixmaps/*.png
%{_datadir}/pirut/COPYING

%{_mandir}/man8/pirut.8*
%exclude %{_mandir}/man8/pup.8*
%exclude %{_mandir}/man8/puplet.8*
%{_mandir}/man8/system-cdinstall-helper.8*
%{_mandir}/man8/system-install-packages.8*

%changelog
* Wed May 6 2009 Bill Ye <ting.ye@asianux.com> - 1.3.28-13.4
- for kernel-PAE and kmod-redcastle-PAE are installed when custmise mode 
  select all Groups on machine memory less than 4GB(patch108 AXBug6240)

* Wed Apr 22 2009 Bill Ye <ting.ye@asianux.com> - 1.3.28-13.3
- for the rpm packages number be dfferent between "everything" 
  type and "customize" type (patch 107, AXBug5993)

* Tue Mar 17 2009 jojo luo<luoqian@redflag-linux.com> - 1.3.28-13.2
- fix bug for removing category (patch 106, bug #5864)

* Fri Feb 20 2009 Nam, Kwonwoo <kwnam@haansoft.com> - 1.3.28-13.1
- change shortcut select (patch 105, bug #4298)
- add COPYING file (source1)
- remove the useless pirut supplied command 
- remove show pixmap and do TreeStore clear when refresh (patch 104)
- hide "add/remove software" from applications menu because we
  will use rpmmanager instead it (patch 103)
- remove pup related stuffs, these are depend on rhn. (bug #2331)
- remove category window for Asianux installer (paatch 101)

* Wed Mar 19 2008 James Antill <james.antill@redhat.com> - 1.3.28-13
- Add missing corner icon for pup, and window icon in glade file.
- Resolves: rhbz#436193

* Wed Feb 20 2008 James Antill <james.antill@redhat.com> - 1.3.28-11
- Missed translation fix for puplet.
- Resolves: rhbz#435474

* Wed Feb 20 2008 James Antill <james.antill@redhat.com> - 1.3.28-10
- Fix upstream double bracket problem.
- Relates: rhbz#249873
- Resolves: rhbz#431077

* Thu Feb  7 2008 James Antill <james.antill@redhat.com> - 1.3.28-9
- Revert *.desktop.in files to GA versions
- Add .png files from RHEL-5.0 GA
- Change all icon references over
- Also add icons to generic pixmap dir.
- Resolves: rhbz#431077
- Revert sanitizeString to GA code, not sure why ... maybe 2.4 python?
- Catch python's gettext split() problem, and ignore it
- Revert _() to rhpl version, to workaround python.gettext() bug.
- Resolves: rhbz#431073

* Fri Jan 18 2008 James Antill <james.antill@redhat.com> - 1.3.28-2
- Import into RHEL-5
- Related: rhbz#384691

* Fri Nov 30 2007 Jeremy Katz <katzj@redhat.com> - 1.3.28-1
- Warn users on edit/removal of repos that come from packages (#404921)

* Mon Nov 26 2007 Jeremy Katz <katzj@redhat.com> - 1.3.27-1
- Avoid a case where we could install with broken deps (#397161)
- Don't focus reboot by default (#395061)

* Mon Nov 19 2007 Jeremy Katz <katzj@redhat.com> - 1.3.26-1
- Translation updates
- Don't traceback on doubleclick (Christian Anthon, #336791)
- Update metadata fixes (lmacken)
- Fix error case when you cancel quitting (#359201)
- Have puplet notify of reboots in the "updates applied" case (Ray Strode)
- Fix a media-related traceback (#373101)
- More aggressive exception handling (#379981, #357811)
- A few cleanups in the repo editor (#388051, #374171)
- Fix traceback with single package installer and some plugins (#375221)
- Fix weird search related crash (#389801, #388631)

* Wed Oct 17 2007 Jeremy Katz <katzj@redhat.com> - 1.3.25-1
- Fix handling of bad repo edits so that you're not stuck (#334501)
- Take into account updated urls with repo editor
- system-install-packages only needs repos to be available if we have
  to depsolve

* Thu Oct 11 2007 Jeremy Katz <katzj@redhat.com> - 1.3.24-1
- Improve handling of login before NM brings the network up
- Don't escape all characters in descriptions (#325891)
- Don't traceback if hal isn't running (#325901)
- Translation updates

* Fri Oct  5 2007 Jeremy Katz <katzj@redhat.com> - 1.3.23-1
- Don't hang on an empty search (#317151)
- Pull proxy bits out of gconf when launching from desktop files (#259581)

* Wed Oct  3 2007 Jeremy Katz <katzj@redhat.com> - 1.3.22-1
- If we can't access the DVD repo, allow getting to the repo manager (#315671)
- Fix up canceling leading to depchecking not happening again.

* Mon Oct  1 2007 Jeremy Katz <katzj@redhat.com> - 1.3.21-1
- Avoid showing empty warnings output (#312051)
- Fix some cd repo tracebacks found by wwoods

* Wed Sep 26 2007 Jeremy Katz <katzj@redhat.com> - 1.3.20-1
- Fix hang with multiple searches (#296521)
- Catch a couple more error cases (#302161)
- Update translations

* Tue Sep 18 2007 Jeremy Katz <katzj@redhat.com> - 1.3.19-1
- Make reboot vs warnings clearer (#292011)
- Select on row activation in lists (#292261)
- Don't show the (truncated) URL being downloaded (#292271)
- Fix handling of already mounted volumes
- Search improvements (skvidal)

* Wed Sep 12 2007 Jeremy Katz <katzj@redhat.com> - 1.3.18-1
- Add multiple selection in package view (#266141)
- Make things like rpmnew/rpmsave more obvious to the user rather 
  than hidden (#229671)
- Use yum's transaction callback mechanism
- Show details on package list (#227362)
- Follow icon naming standard (#208698)
- Improve display of what's being downloaded with progress bar (#284301)
- Fix applying updates from puplet (#268141)

* Fri Sep  7 2007 Jeremy Katz <katzj@redhat.com> - 1.3.17-1
- Catch another downloading error (#270201)
- Handle errors a little better in puplet
- Fix repo refreshing after adding/removing repos

* Thu Aug 30 2007 Jeremy Katz <katzj@redhat.com> - 1.3.16-1
- another repo editor fix from Debarshi Ray
- fix image display

* Thu Aug 30 2007 Jeremy Katz <katzj@redhat.com> - 1.3.15-1
- actually include repo editing bits in the tarball

* Wed Aug 29 2007 Jeremy Katz <katzj@redhat.com> - 1.3.14-1
- Improved and more complete repo editing code

* Tue Aug 28 2007 Jeremy Katz <katzj@redhat.com> - 1.3.13-1
- Add repo editing (some bits from Debarshi Ray)
- Fix puplet traceback

* Tue Aug 21 2007 Jeremy Katz <katzj@redhat.com> - 1.3.12-1
- Fix a traceback (#252328)
- Avoid tracebacks/segfaults with non-UTF8 encoded package strings (#240191)
- Fix more progress bar updating

* Tue Aug 14 2007 Jeremy Katz <katzj@redhat.com> - 1.3.11-1
- Translation infrastructure updates (#217153)
- Allow retrying if the yum lock is held (#228942)
- Fix a potential traceback case (#242820)
- Catch another error on repo refresh (#245209)
- Fix error display
- Add support for cancelling during downloads (#247344)
- Fix progress bar updating again
- Ensure we're passing unicode (#240191)

* Fri Aug 10 2007 Jeremy Katz <katzj@redhat.com> - 1.3.10-1
- Fix error display (#249369)
- Don't traceback on %%pretrans breaking assumptions about how the rpm 
  callback works 
- Give a nice message when not running as root (#250728)
- Don't unlock unless we had the lock to begin with (#251651)
- Show translated summary + description if available (#251662)

* Thu Jul 19 2007 Jeremy Katz <katzj@redhat.com> - 1.3.9-1
- Fix cd installer (#242857)
- Drop legacy symlink (#238118)
- Show uninstalled arches of packages in the list (#247343)
- Make puplet more robust to yum-updatesd restarting

* Tue Jun  5 2007 Jeremy Katz <katzj@redhat.com> - 1.3.8-1
- Fix error message formatting (lmacken, #238372)
- Catch more errors (#240711, #241043, #242476)
- Avoid a case where we could install with broken deps (#242368)

* Tue Apr 17 2007 Jeremy Katz <katzj@redhat.com> - 1.3.7-1
- Show full information about gpg key (#215721)
- Fix traceback in single package installer (#236142)
- Ensure we don't show groups/categories that don't have packages

* Mon Apr  9 2007 Jeremy Katz <katzj@redhat.com> - 1.3.6-1
- be less aggressive with the remove blacklist (ie, kernel _updates_ 
  shouldn't trigger it)

* Mon Apr  9 2007 Jeremy Katz <katzj@redhat.com> - 1.3.5-1
- Pass proxy vars through usermode (#213402)
- Unused import cleanup (jbowes)
- Make progress bar more responsive during dep checking
- Handle conditional only groups better (#188355)
- Don't resize the update list in pup (#209345)
- Some minor HIG fixes (#209564)
- Add a way to apply updates from pup without viewing them (#215140)
- Show progress bars sooner (#217344)
- Add MimeType to system-install-packages desktop file (#217681)
- Add kernels to remove blacklist (#223509)
- Ellipsize name of package being downloaded to avoid bouncing size (#228541)

* Tue Mar 13 2007 Bill Nottingham <notting@redhat.com> - 1.3.4-1
- unify repo setup among 
  pirut/pup/system-install-packages/system-cdinstall-helper
- wait for yum-updatesd to finish rather than throw an error
- update list of translations

* Fri Mar  2 2007 Jeremy Katz <katzj@redhat.com> - 1.3.3-1
- Support installing a single package from a repo by passing a 
  package name to system-install-packages (Owen Taylor)
- Don't force downloading of headers 

* Wed Feb 21 2007 Jeremy Katz <katzj@redhat.com> - 1.3.1-1
- Actually include CD support python file
- Add xen to rebootpkgs
- Lazy import the cd bits

* Tue Feb 20 2007 Jeremy Katz <katzj@redhat.com> - 1.3.0-1
- Fix a translation problem (#228237)
- Start of support for CDs.  To test for now, you need to have yum 3.1.2 
  and add a mediaid= line to your repo.  mediaid is the first line 
  of .discinfo from your media

* Fri Feb 09 2007 James Bowes <jbowes@redhat.com> - 1.2.11-1
- Catch an error case (katzj, #221681)
- Require gnome-session for /etc/xdg/autostart
- Use the standard buildroot

* Wed Dec 13 2006 James Bowes <jbowes@redhat.com> - 1.2.10-1
- Don't show 'No updates available' on mouse scroll (David Timms, #219075)
- Fix traceback in progress.py (katzj, #218417)
- Add man pages (#218731)

* Thu Nov 30 2006 Jeremy Katz <katzj@redhat.com> - 1.2.9-1
- rpmlint fixes to packaging (jbowes)
- translation fixes (#212877)
- Disable linking to bugs and CVEs to avoid launching 
  firefox as root (lmacken, #216552)
- translation updates

* Fri Nov 10 2006 Jeremy Katz <katzj@redhat.com> - 1.2.8-1
- Clear deps on transaction cancel (#213421)
- Make puplet text be "View Updates..." (#214627)
- More verbose error for yum-updatesd not being available (#213520)
- Stick information about a package requiring a reboot in the details (#214794)

* Mon Nov  6 2006 Jeremy Katz <katzj@redhat.com> - 1.2.7-1
- Fix traceback with packages with an empty description (#212276)
- Show the dep dialog for removals and don't auto-timeout it (#212703)
- Make puplet translations work (#212877)
- Don't log in other langs (#213145)
- Fix view menu (#213562)
- Fix a silly typo in the cdinstaller text (#210696)
- On failure, undo dep installs (#213628)
- Allow multiple selection in pup (#195465)
- Fix searching in pup to be more obvious (#213639)
- Set puplet icon to downloading when we're getting things (#210463)

* Wed Oct 25 2006 Jeremy Katz <katzj@redhat.com> - 1.2.6-1
- cdinstaller fixes (#212017, #211873)

* Fri Oct 20 2006 Jeremy Katz <katzj@redhat.com>
- obsolete rhn-applet and up2date-gnome (#211540)

* Thu Oct 12 2006 Jeremy Katz <katzj@redhat.com> - 1.2.5-1
- puplet: remove import of egg.trayicon 

* Tue Oct 10 2006 Jeremy Katz <katzj@redhat.com> - 1.2.4-1
- More updated translations 
- Raise error on error in repo setup (jbowes, #208845)
- puplet: Show menu on left click (#209990)

* Tue Oct  3 2006 Jeremy Katz <katzj@redhat.com> - 1.2.3-1
- Updated translations
- Fix right click menu popup with only one thing selected (#208846)

* Thu Sep 28 2006 Bill Nottingham <notting@redhat.com> - 1.2.2-1
- fix desktop file (#208519)

* Thu Sep 28 2006 Jeremy Katz <katzj@redhat.com> - 1.2.1-1
- remember to include the new pup icon

* Thu Sep 28 2006 Jeremy Katz <katzj@redhat.com> - 1.2.0-1
- Fix group deselect (#208363)
- Give notification if update checks are failing (#208154)
- Show list by default in pirut if no repos enabled
- Disable line wrapping in update details (lmacken)
- Catch an error when opening rpm (#205278)
- Fix pixmap display (#207748)
- Don't spew exceptions if puplet can't connect to yum-updatesd (#207724)

* Tue Sep 19 2006 Jeremy Katz <katzj@redhat.com> - 1.1.16-1
- Fix a traceback (#207067)
- Fix refresh after installing (#207051) 

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.15-1
- Fix up package selection in package list
- UI improvements 

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.14-1
- Allow continuing to do stuff instead of existing after applying 
  changes (#182499)
- Some optimizations for list view

* Wed Sep 13 2006 Jeremy Katz <katzj@redhat.com> - 1.1.13-1
- Fix cdinstaller (#205557)
- Fix single package installer for yum api changes (#205890)
- Handle 1 vs many in puplet (#205924)
- Make text more obvious on install vs remove (#182492)
- Make sure we don't remove "necessary" packages (#188495)
- Fix display of gpg key info (#186217)
- Improve responsiveness of progressbars some (#186787)
- Try to ensure the puplet bubble points to the right place (#203652)
- Handle multiple selections in the group selector
- Some searching UI improvements (#186082)

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 1.1.12-1
- minor fix

* Wed Sep  6 2006 Jeremy Katz <katzj@redhat.com> - 1.1.11-1
- Some minor fixes
- Catch a download error (#204957)
- Clean up after cancelling the dep check (#205027)

* Tue Sep  5 2006 Jeremy Katz <katzj@redhat.com> - 1.1.10-1
- Don't pop up the puplet notification more than once
- Some updates for yum API deprecations

* Mon Aug 21 2006 Jeremy Katz <katzj@redhat.com> - 1.1.9-1
- Support from lmacken for displaying information from update metadata
- Support from lmacken for using libnotify to give information about 
  available updates in puplet
- Fix focus grabbing (#202536)

* Mon Aug 14 2006 Luke Macken <lmacken@redhat.com> - 1.1.8-2
- Require notify-python

* Sun Jul 30 2006 Jeremy Katz <katzj@redhat.com> - 1.1.8-1
- Fix traceback (clumens, #200515)

* Thu Jul 27 2006 Jeremy Katz <katzj@redhat.com> - 1.1.7-1
- Handle uncategorized groups better, especially for cdinstall-helper
- Fix missing comma in rebootpkgs list (lmacken)
- Fix key import

* Wed Jul 12 2006 Jeremy Katz <katzj@redhat.com> - 1.1.6-1
- Port puplet to use GtkStatusIcon instead of EggTrayIcon
- Fix some misc bugs
- Add system-cdinstall-helper for extra CDs of packages (note: this will 
  currently only handle a single CD and not multi-CD sets) 
- Make puplet exit if we can't consistently connect to yum-updatesd

* Wed Jun 28 2006 Jeremy Katz <katzj@redhat.com> - 1.1.5-1
- mark reboot later for translation (#196358)
- add nl translations (#196557)
- updates for yum 2.9.2
- catch error if downloaded file gets deleted (#197167)

* Tue Jun 20 2006 Jeremy Katz <katzj@redhat.com> - 1.1.4-1
- work with either yum 2.9.0 or 2.9.1

* Thu Jun 15 2006 Bill Nottingham <notting@redhat.com> - 1.1.3-1
- add pygobject2 dep

* Wed Jun 14 2006 Jeremy Katz <katzj@redhat.com> - 1.1.1-1
- add puplet

* Mon Jun 12 2006 Jeremy Katz <katzj@redhat.com> - 1.1.0-1
- Update for yum 2.9.0 API
- Handle missing summaries (bretm)
- Fix BuildRequires (#194071)

* Mon Jun  5 2006 Jeremy Katz <katzj@redhat.com>
- fix buildrequires (#194071)

* Mon May 15 2006 Jeremy Katz <katzj@redhat.com> - 1.0.3-1
- fix plugin type bug (#191630)
- keep apply at bottom of the window (#191721)
- Catch config errors and give a nice dialog (#191013)
- Allow --config with pirut (#189804)

* Wed Apr 12 2006 Jeremy Katz <katzj@redhat.com> - 1.0.2-1
- Fix traceback with no groups defined (#186545)
- Mark desktop files for translation (#188319)
- Catch mirror error (#184326)
- Change display name for package installer (#185169)
- Improve progress bar updating a little
- Require rhpl (#186796)
- Add status bar and progress for searching from James Bowes (#186977)
- Grab focus for search entry by default (#187597)
- Give better error message about no network (#188529)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.1-1
- Ensure we unlock things on exit (#183882)

* Fri Mar  3 2006 Jeremy Katz <katzj@redhat.com> - 1.0.0-1
- Fix formatting in reboot dialog (#183597)
- Show category pixbuf if there's not one for the group (#183545)
- Ensure groups are shown as selected
- Catch locking error (#183685)

* Tue Feb 28 2006 Jeremy Katz <katzj@redhat.com> - 0.9.17-1
- Fix package selection traceback (#183310)
- Lock the yum pid file when pirut tools are running (#183311)
- Give feedback during group selection (#183307)
- Fix display of urllib2 encoded strings (#183111)

* Mon Feb 27 2006 Jeremy Katz <katzj@redhat.com> - 0.9.16-1
- Fix optional package searching (#182555)
- Catch errors when downloading metadata (#178641)
- Some UI changes from Simon Lanzmich (#182644)
- More UI changes from jrb 

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.15-1
- actually find the images

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.14-1
- fix traceback on right click (#182360)
- add hal and dbus to pup's reboot list
- new images from dfong
- allow stopping the search, requires yum 2.5.3

* Wed Feb 22 2006 Jeremy Katz <katzj@redhat.com> - 0.9.13-1
- add files

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.12-1
- enable search functionality

* Tue Feb 21 2006 Jeremy Katz <katzj@redhat.com> - 0.9.11-1
- Don't try to install source packages (#180048)
- Fix wrong error name (#181370)
- Ensure group is selected for select all
- Log installs from all tools in yum.log (#182126)
- Don't traceback on servers not telling us the size (#181890)
- Start of work for search to work
- Add some details about what's selected for install/remove (#182126)

* Sat Feb  4 2006 Jeremy Katz <katzj@redhat.com> - 0.9.10-1
- Add a popup menu for selecting all/none of the optional packages in a group
- Speed up pirut startup and list mode a bit

* Fri Feb  3 2006 Jeremy Katz <katzj@redhat.com> - 0.9.9-1
- Just use the group name when we don't have a description (#178089)
- Require actually clicking on the checkboxes, not the text (#178090)
- Make browse view a little bit more obvious (#178091)
- Fix selection in list filters (#179210)
- Fix searching in list view (#179839)
- Fix searching in optional packages list
- Allow unsigned packages with a suitably scary warning on installing 
  single packages (#178908)

* Thu Feb  2 2006 Jeremy Katz <katzj@redhat.com> - 0.9.8-1
- Some fixes to single-install-packages from Tim Lauridsen (#178908)
- Tweaks to the optional packages installed label (#178088, #179205)

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.7-1
- Make the single package installer only read the repo data if we need 
  to resolve a dep
- Add a shadow to a scrolledwindow for jrb

* Tue Jan 24 2006 Jeremy Katz <katzj@redhat.com> - 0.9.6-1
- Make it so that translations actually work
- Add a progress callback for time intensive parts of pup/pirut startup
- Fix icons for desktop files

* Fri Jan 20 2006 Jeremy Katz <katzj@redhat.com> - 0.9.5-1
- Fix a traceback (#177826)
- "Reboot later" instead of "Cancel" (#177909)
- Fix traceback for not importing pango (#177973)
- Add new system-install-packages

* Sat Jan 14 2006 Jeremy Katz <katzj@redhat.com> - 0.9.4-1
- add pup here
- fix file logging
- dialog to say that updates/installs completed successfully

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.2-1
- noarch
- actually add the __init__.py
- add translations

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com> - 0.9.1-1
- fix the obvious problem
- obsolete s-c-packages

* Mon Jan  9 2006 Jeremy Katz <katzj@redhat.com>
- Initial build.

